Thai lucky elements
curl --request POST \
--url https://api.astrom8.com/api/v3/thai/lucky-elements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"birth_date": "1992-04-15",
"target_date": "2023-12-25"
}
'import requests
url = "https://api.astrom8.com/api/v3/thai/lucky-elements"
payload = {
"birth_date": "1992-04-15",
"target_date": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({birth_date: '1992-04-15', target_date: '2023-12-25'})
};
fetch('https://api.astrom8.com/api/v3/thai/lucky-elements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"birth_date": "2023-12-25",
"target_date": "2023-12-25",
"birth_day": {
"ruling_planet_th": "<string>",
"ruling_planet_en": "<string>",
"power_number": 123
},
"lucky_color": {
"th": [
"<string>"
],
"en": [
"<string>"
]
},
"unlucky_color": {
"th": "<string>",
"en": "<string>"
},
"lucky_direction": {
"th": "<string>",
"en": "<string>"
},
"lucky_number": 123,
"thai_zodiac": {
"index": 123,
"animal_th": "<string>",
"animal_en": "<string>",
"element": "<string>"
},
"daily_score": {
"score": 123,
"label_th": "<string>",
"label_en": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "unauthorized",
"message": "Invalid API key",
"code": "401",
"request_id": "01HQXYZ..."
}{
"error": "payment_required",
"message": "Insufficient credits for this request",
"code": "402",
"request_id": "01HQXYZ..."
}Thai Astrology
Thai lucky elements
POST
/
api
/
v3
/
thai
/
lucky-elements
Thai lucky elements
Authorizations
Use the raw API key as the Bearer token, or send X-API-Key instead.
Body
application/json
Response
Thai lucky elements payload.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I